सामग्री पर जाएँ

Flux 2 Lora Gallery · Face to Full Portrait

इंटीग्रेट करें

मॉडल id flux-2-lora-gallery/face-to-full-portrait
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-2-lora-gallery/face-to-full-portrait?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: ≈$0.021 21 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Black Forest Labs · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

डिफ़ॉल्ट Face to full portrait

चेहरे का उपयोग करके बनाए जाने वाले पूर्ण पोर्ट्रेट को निर्दिष्ट करने वाला प्रॉम्प्ट।

•आवश्यक image_urls
फ़ाइल ड्रॉप करें, या

चेहरे की क्रॉप की गई इमेज की ओर संकेत करने वाला URL।

image_size

आउटपुट आकार ओवरराइड; इसे निर्दिष्ट न करने पर इनपुट इमेज के आयाम बने रहते हैं।

num_images डिफ़ॉल्ट 1

बनाई जाने वाली इमेज की संख्या।

उन्नत acceleration · output_format · guidance_scale · num_inference_steps · lora_scale · seed · enable_safety_checker
acceleration डिफ़ॉल्ट regular

इमेज निर्माण त्वरण सेटिंग। गति और गुणवत्ता के बीच संतुलन के लिए 'regular' चुनें।

output_format डिफ़ॉल्ट png

परिणामी इमेज का फ़ॉर्मैट।

डिफ़ॉल्ट 2.5

CFG स्केल का उपयोग करके प्रॉम्प्ट अनुपालन नियंत्रण, जहाँ CFG का अर्थ Classifier Free Guidance है।

डिफ़ॉल्ट 40

चलाए जाने वाले inference चरणों की संख्या।

डिफ़ॉल्ट 1

चेहरे को पूर्ण पोर्ट्रेट में बदलने की तीव्रता।

यादृच्छिक निर्माण seed, जो प्रॉम्प्ट और seed दोनों को अपरिवर्तित रखकर परिणाम को पुनरुत्पादित करने देता है।

POST /run/flux-2-lora-gallery/face-to-full-portrait?wait=20 कोटेशन → $0.021
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-2-lora-gallery/face-to-full-portrait?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Flux 2 Lora Gallery · Face to Full Portrait के बारे में

`image_urls` के माध्यम से क्रॉप किए गए चेहरे की इमेज लेकर व्यक्ति का पूर्ण पोर्ट्रेट बनाता है। `prompt` का डिफ़ॉल्ट 'Face to full portrait' है और परिणाम का वर्णन करने के लिए इसे बदला जा सकता है। यदि `image_size` नहीं दिया गया है, तो इनपुट इमेज का आकार उपयोग किया जाता है। `lora_scale` (0 से 2) प्रभाव की तीव्रता तय करता है और `num_images` png, jpeg या webp में 1 से 4 परिणाम लौटाता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlsआवश्यक images
प्रकारurl[] · image
चेहरे की क्रॉप की गई इमेज की ओर संकेत करने वाला URL।
promptवैकल्पिक
प्रकारstring
डिफ़ॉल्टFace to full portrait
चेहरे का उपयोग करके बनाए जाने वाले पूर्ण पोर्ट्रेट को निर्दिष्ट करने वाला प्रॉम्प्ट।
image_sizeवैकल्पिक
प्रकारobject
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
आउटपुट आकार ओवरराइड; इसे निर्दिष्ट न करने पर इनपुट इमेज के आयाम बने रहते हैं।
guidance_scaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट2.5
0 – 20
CFG स्केल का उपयोग करके प्रॉम्प्ट अनुपालन नियंत्रण, जहाँ CFG का अर्थ Classifier Free Guidance है।
num_inference_stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट40
4 – 50
चलाए जाने वाले inference चरणों की संख्या।
accelerationवैकल्पिक
प्रकारenum
डिफ़ॉल्टregular
noneregular
इमेज निर्माण त्वरण सेटिंग। गति और गुणवत्ता के बीच संतुलन के लिए 'regular' चुनें।
seedवैकल्पिक
प्रकारinteger | null
यादृच्छिक निर्माण seed, जो प्रॉम्प्ट और seed दोनों को अपरिवर्तित रखकर परिणाम को पुनरुत्पादित करने देता है।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
निर्मित-इमेज सुरक्षा-जाँच टॉगल, जिसे केवल अधिकृत खाते अक्षम कर सकते हैं। बिना प्राधिकरण वाले अनुरोधों के लिए जाँच अनिवार्य रहती है।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टpng
pngjpegwebp
परिणामी इमेज का फ़ॉर्मैट।
num_imagesवैकल्पिक num_outputs
प्रकारinteger
डिफ़ॉल्ट1
1 – 4
बनाई जाने वाली इमेज की संख्या।
lora_scaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट1
0 – 2
चेहरे को पूर्ण पोर्ट्रेट में बदलने की तीव्रता।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flux-2-lora-gallery/face-to-full-portrait",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 21,
    "usd": "0.021",
    "charged": 21,
    "refunded": 0
  },
  "input": {
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seed": 42,
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, content_type, file_name, file_size, width, height}चेहरे से बनाई गई पूर्ण पोर्ट्रेट इमेज।
seed
integerनिर्माण के दौरान उपयोग किया गया seed मान।
prompt
stringनिर्माण के दौरान उपयोग किया गया प्रॉम्प्ट।

और मॉडल: इमेज एडिटिंग

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/flux-2-lora-gallery/face-to-full-portrait.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt